Subject: Re: bug#60534: 28.2; Forbidden reentrant call of Tramp

From: Michael Albinus <[email-masked]>
Date: Fri, 17 Feb 2023 10:42:17 +0100

Georgi Danov <[email-masked]> writes:

Hi Georgi,

> As discussed in github issue
> https://github.com/joaotavora/eglot/issues/859# eglot over tramp throws
> "reentrant call" error. This is sympthom of underlying design issue -
>  aux libraries use files without being aware of the tramp conection, the
>  connection itself has no concurrency control, pooling or other
>  multi-user features and without that guard error different tramp clients
>  corrupt each other's communication with the language server.

Yes. This is a long standing problem in Tramp I have no solution
yet. Likely we need threading in Tramp for this, but this causes other
problems.

For the time being I merge this with bug#49954, which points to the same
problem (although with different symptoms).

Best regards, Michael.